# --adds gits
# git clone -b develop https://github.com/OpenShot/libopenshot-audio.git
%define major	9
%define lib_ver	0.3.2
%define libname	%mklibname openshot-audio %{major}
%define devname	%mklibname openshot-audio -d

# for obsoletes lib with major -lt major
%define obsomaj 7
%define obsolib %mklibname openshot-audio %{obsomaj}

Name:		libopenshot-audio
Version:	0.3.2
Release:	%mkrel 1
Summary:	OpenShot Audio Library
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.openshot.org/
Source0:	https://github.com/OpenShot/libopenshot-audio/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(zlib)


%description
OpenShot Audio Library.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Audio Library
Group:		System/Libraries
Obsoletes:	%{libname} < %{version}-%{release}
Obsoletes:	%{obsolib} < %{version}-%{release}
Obsoletes:	libopenshot-audio < %{version}-%{release}

%description -n	%{libname}
OpenShot Audio Library.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-audio-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package tools
Summary:	Tools and test binaries for %{name}
Group:		System/Libraries
Obsoletes:  openshot-audio-tools
Provides:   openshot-audio-tools = %version-%release
Requires:	%{libname} = %{version}-%{release}

%description tools
This package provides tools and test binaries for %{name}.

#----------------------------------------------------

%package doc
Summary:	Tools and test binaries for %{name}
Group:		Documentation

%description doc
full API documentation for %{name}.

#----------------------------------------------------

%prep
%setup -q

%autopatch -p1

%build
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

cmake . -DCMAKE_INSTALL_PREFIX=/usr
%make_build


%install
%make_install


%post
ldconfig

%files -n %{libname}
%{_libdir}/libopenshot-audio.so.%{major}
%{_libdir}/libopenshot-audio.so.%{lib_ver}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libopenshot-audio.so
%{_libdir}/cmake/OpenShotAudio/FindASIO.cmake
%{_libdir}/cmake/OpenShotAudio/OpenShotAudioConfig.cmake
%{_libdir}/cmake/OpenShotAudio/OpenShotAudioConfigVersion.cmake
%{_libdir}/cmake/OpenShotAudio/OpenShotAudioTargets-release.cmake
%{_libdir}/cmake/OpenShotAudio/OpenShotAudioTargets.cmake

%files tools
%{_bindir}/openshot-audio-demo
%{_mandir}/man1/openshot-audio-demo.1.bz2

%files doc
%{_datadir}/doc/OpenShotAudio/API/


%changelog
* Sat Oct 07 2023 onkelho <oh.quait at gmail.com> - 0.3.2-1quait2023
- new version release

* Thu Oct 13 2022 onkelho <oh.quait at gmail.com> - 0.2.2-10pclos2022
- rebuild against last updates

* Fri Oct 01 2021 onkelho <oh.quait at gmail.com> - 0.2.2-1pclos2021
- new version rel last

* Mon Aug 30 2021 onkelho <oh.quait at gmail.com> - 0.2.1-1pclos2021
- new version rel last
- 6a84f7e 2021-08-19 Jackson Updated version to 0.2.1 SO 8 HEAD,
- - origin/release-20210819
